package com.ruoyi.wms.repository;

import com.ruoyi.wms.po.AgvTask;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Verasion:1.0
 * @Author:DZY
 * @Date:2023/6/26
 **/
@Repository
public interface AgvTaskRepository extends JpaRepository<AgvTask,Long>, JpaSpecificationExecutor {
    AgvTask findByRequestCode(String requestCode);

    AgvTask findByRequestCodeAndStatus(String requestCode,Integer status);

    List<AgvTask> findByDictTypeAndStatus(Integer type, Integer status);

    List<AgvTask> findByJsonLikeAndCreatedDtAfterAndCreatedDtBeforeAndDictTypeAndStatus(String json, String dt1, String dt2, Integer dictType, Integer status);
}
