package com.ruoyi.wms.vo;

import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @author 李俊辉
 * @version 1.0
 * date: 2023/7/6
 */
@Data
public class AgvTaskExportVo {
    @ApiParam(value = "请求单号")
    private String requestCode;
    @ApiParam(value = "类型 1：请求空箱 2：入水测 3：出水测 4：送待检 5：送检验 6：回待检 7：送抽检 8：送成品库 9：出成品库")
    private Integer dictType;
    private String dictTypeShow;
    @ApiParam(value = "json")
    private String json;
    @ApiParam(value = "任务状态 1：未发起 2：进行中 3：已完成 4：失败 5：取消 6:挂起")
    private Integer status;
    private String statusShow;
    @ApiParam(value = "处理结果")
    private String message;
    @ApiParam(value = "创建人")
    private String createdBy;
    @ApiParam(value = "创建时间")
    private String createdDt;
}
