package com.ruoyi.wms.vo;

import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @author 李俊辉
 * @version 1.0
 * date: 2023/7/6
 */
@Data
public class ContainerInfoExportVo {
    @ApiParam(value = "周装箱号(入库时不存在，自动增加)")
    private String containerNumber;
    @ApiParam(value = "周装箱状态：5-空闲(库外)，从出库工位完成出库后标记为该状态10-空闲(库内)，空箱完成入库上架后的状态15-入库中(手动)，PDA扫描确认数量的20-入库中(自动)，滚筒线扫描枪扫描后确认数量的25-入库中(空箱)，夜班模式空箱入库30-在库，非空空箱在库35-出库中，发送出库调度任务后")
    private Integer containerStatus;
    @ApiParam(value = "周装箱状态：5-空闲(库外)，从出库工位完成出库后标记为该状态10-空闲(库内)，空箱完成入库上架后的状态15-入库中(手动)，PDA扫描确认数量的20-入库中(自动)，滚筒线扫描枪扫描后确认数量的25-入库中(空箱)，夜班模式空箱入库30-在库，非空空箱在库35-出库中，发送出库调度任务后")
    private String containerStatusShow;
    @ApiParam(value = "周装箱装表数量")
    private Integer qty;
    @ApiParam(value = "库位编码(iCMX-A01-05-03)")
    private String storeCode;
    @ApiParam(value = "开始入库时间(人工扫描或自动扫描时间)")
    private String onInstoreTime;
    @ApiParam(value = "入库时间(机器人放到库位上时间)")
    private String instoreTime;
    @ApiParam(value = "开始出库时间(机器人开始出库作业时间)")
    private String onOutstoreTime;
    @ApiParam(value = "出库时间(机器人取货到出库工位完成时间)")
    private String outstoreTime;
    @ApiParam(value = "生产任务单")
    private String productionTask;
    @ApiParam(value = "创建人")
    private String createdBy;
    @ApiParam(value = "创建时间")
    private String createdDt;
    @ApiParam(value = "更新人")
    private String updatedBy;
    @ApiParam(value = "更新时间")
    private String updatedDt;
}
