package com.ruoyi.wms.vo;

import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @author 李俊辉
 * @version 1.0
 * date: 2023/7/6
 */
@Data
public class OrderInfoExportVo {
    @ApiParam(value = "生产任务单")
    private String productionTask;
    @ApiParam(value = "单据状态(5-已录入、10-部分入库、15-全部入库)")
    private Integer orderStatus;
    private String orderStatusShow;
    @ApiParam(value = "销售订单")
    private String saleOrder;
    @ApiParam(value = "物料编码")
    private String materialCode;
    @ApiParam(value = "物料名称")
    private String materialName;
    @ApiParam(value = "物料规格")
    private String materialSpec;
    @ApiParam(value = "计划完工日期")
    private String plannedCompletionDate;
    @ApiParam(value = "计划数量")
    private Integer planQty;
    @ApiParam(value = "已入库数")
    private Integer inQty;
    @ApiParam(value = "入库中数量")
    private Integer ongoingQty;
    @ApiParam(value = "出库数量")
    private Integer outQty;
    @ApiParam(value = "出库中数量")
    private Integer onoutingCheckQty;
    @ApiParam(value = "待校验数")
    private Integer waitCheckQty;
    @ApiParam(value = "已校验数")
    private Integer finishCheckQty;
    @ApiParam(value = "校验中数")
    private Integer checkQty;
    @ApiParam(value = "成品区已入库数")
    private Integer productInQty;
    @ApiParam(value = "成品区入库中数量")
    private Integer productOngoingQty;
    @ApiParam(value = "成品区出库数量")
    private Integer productOutQty;
    @ApiParam(value = "成品区出库中数量")
    private Integer productOnoutingQty;
    @ApiParam(value = "创建人")
    private String createdBy;
    @ApiParam(value = "创建时间")
    private String createdDt;
    @ApiParam(value = "更新人")
    private String updatedBy;
    @ApiParam(value = "更新时间")
    private String updatedDt;
}
