package com.ruoyi.wms.vo;

import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @author 李俊辉
 * @version 1.0
 * date: 2023/7/7
 */
@Data
public class StationInfoExportVo {
    @ApiParam(value = "工位编码")
    private String stationCode;
    @ApiParam(value = "对应地码")
    private String storeCode;
    @ApiParam(value = "工位名称")
    private String stationName;
    @ApiParam(value = "工位类型：5-入库工位10-出库工位15-校验工位20-抽检工位25-发货库位")
    private Integer stationType;
    private String stationTypeShow;
    @ApiParam(value = "工位状态(5-空闲(默认)、10-作业中、15-停止作业、20-作业完成)")
    private Integer stationStatus;
    private String stationStatusShow;
    @ApiParam(value = "工位子编码")
    private String stationSubnumber;
    @ApiParam(value = "生产任务单")
    private String productionTask;
    @ApiParam(value = "创建人")
    private String createdBy;
    @ApiParam(value = "创建时间")
    private String createdDt;
    @ApiParam(value = "更新人")
    private String updatedBy;
    @ApiParam(value = "更新时间")
    private String updatedDt;
}
