package com.ruoyi.wms.vo;

import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @author 李俊辉
 * @version 1.0
 * date: 2023/7/7
 */
@Data
public class StoreInfoExportVo {
    @ApiParam(value = "库位编码")
    private String storeCode;
    @ApiParam(value = "库位类型：5-干湿库位 10-缓存库位 15-检验库位 20-抽检库位 25-成品缓存库位 30-成品出库库位 35-空车回库库位 ")
    private Integer storeType;
    private String storeTypeShow;
    @ApiParam(value = "库位状态 5-空闲：机器人任务回调后10-待占用：机器人任务发起后15-占用：机器人任务回调后20-待空闲：机器人任务发起后")
    private Integer storeStatus;
    private String storeStatusShow;
    @ApiParam(value = "库位属于的工位编码")
    private String stationCode;
    @ApiParam(value = "货架编码")
    private String shelfCode;
    @ApiParam(value = "创建人")
    private String createdBy;
    @ApiParam(value = "创建时间")
    private String createdDt;
    @ApiParam(value = "更新人")
    private String updatedBy;
    @ApiParam(value = "更新时间")
    private String updatedDt;
}
